List Invite Messages
Returns a list of all the users Invite Messages. Admin Credentials are required to view messages of other users!
Message type refers to a different collection of messages, used during different types of responses.
message= Message during a normal inviteresponse= Message when replying to a messagerequest= Message when requesting an inviterequestResponse= Message when replying to a request for invite
Authorization
authCookie Auth Token via Cookie
In: cookie
Path Parameters
Must be a valid user ID.
The type of message to fetch, must be a valid InviteMessageType.
"message""message" | "request" | "requestResponse" | "response"Response Body
application/json
application/json
application/json
curl -X GET "https://api.vrchat.cloud/api/1/message/string/message"[
{
"canBeUpdated": true,
"id": "invm_24a1c14d-5e24-48e5-90e3-c3f712420ffa",
"message": "string",
"messageType": "message",
"remainingCooldownMinutes": 0,
"slot": 11,
"updatedAt": "2019-08-24T14:15:22Z"
}
]{
"error": {
"message": "Really? A negative slot? Tsk-tsk․․․",
"status_code": 400
}
}{
"error": {
"message": "You are not authorized to perform that action.",
"status_code": 401
}
}Get Invite Message GET
Returns a single Invite Message. This returns the exact same information but less than `getInviteMessages`. Admin Credentials are required to view messages of other users! Message type refers to a different collection of messages, used during different types of responses. * `message` = Message during a normal invite * `response` = Message when replying to a message * `request` = Message when requesting an invite * `requestResponse` = Message when replying to a request for invite
Invite Myself To Instance POST
Sends self an invite to an instance